
       	org $4000


	DB "AB"      ; expansion ROM header
	DW start     ; start of the init code, 0 if no initcode
	DW 0         ; pointer to CALL statement handler, 0 if no such handler
	DW 0         ; pointer to expansion device handler, 0 if no such handler
	DW 0         ; pointer to the start of a tokenized basicprogram, 0 if no basicprogram
	DS 6,0       ; room reserved for future extensions


start:
      ld	hl,MUSIC1-100			; hl <- initial address of module - 100
      call      PT3_INIT

      ld hl,FX
      call ayFX_SETUP                           ; Initialize Sound Effects

      di
      ld hl,setinterupt
      ld de,#fd9f
      ld bc,3
      ldir

main_loop:
      ei
      jp main_loop


setinterupt:
           jp oninterupt

oninterupt:
           di
           in a,(#99)

           call MusInt

           call testspace
           cp 0
           jp z,playsound
           ret
SFX_EatDot         equ 0
SFX_EatSpecialDot  equ 1
SFX_EatMonster     equ 2
SFX_Death          equ 3
SFX_FinishLevel    equ 4
SFX_StartLevel     equ 5
SFX_Timer          equ 6
SFX_Move           equ 7
SFX_Brush          equ 8
SFX_EatBonus       equ 9

playsound:
           ld a,SFX_StartLevel                  ;Select Sound effect Number
           ld c,6
           call ayFX_INIT
           ret
MusInt:
           xor a
           ld (PT3_SETUP),a
           call	PT3_ROUT			; Write values on PSG registers
           call	PT3_PLAY			; Calculates PSG values for next frame
           call ayFX_PLAY
           ret

snsmat          equ     #141    ;get keyboard Matrix
testspace:
        ld a,8
        call snsmat
        and 1
        ret

;Sound effect library
FX:
                incbin "fullsfx.afb"
; Music file
MINC1           incbin "jawingame.pt3"
MUSIC1:		equ MINC1+100

REPLAYER:
       INCLUDE	"PT3-ROM.ASM"
       INCLUDE	"AYFX-ROM.ASM"

       org #e000

       INCLUDE	"PT3-RAM.ASM"
       INCLUDE	"AYFX-RAM.ASM"

ENDPT3RAM:
muteflag: db 0